package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 优惠券表
 * @TableName coupon
 */
@TableName(value ="coupon")
@Data
public class Coupon implements Serializable {
    /**
     * 优惠券ID
     */
    private String couponId;

    /**
     * 用户ID（为空表示通用券）
     */
    private String userId;

    /**
     * 优惠金额
     */
    private BigDecimal discountAmount;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}