package com.zhentao.controller;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zhentao.domain.*;
import com.zhentao.dto.Userdto;
import com.zhentao.service.UserService;
import com.zhentao.tool.TokenUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.DigestUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;



@RestController
public class UserController {
    @Autowired
    private UserService service;
    @PostMapping("login")
    public String login(@RequestBody Userdto userdto){
        QueryWrapper<User> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("username",userdto.getUsername());
        User one = service.getOne(queryWrapper);
        String token = TokenUtils.generateToken(one.getUserId() + "");
        long l = IdUtil.getSnowflake(1, 1).nextId();
        System.err.println(l);
        return token;
    }
    @PostMapping("adduser")
    public void add(@RequestBody Userdto userdto){
        long l = IdUtil.getSnowflake(1, 1).nextId();
        User user = new User();
        user.setUserId(String.valueOf(l));
        user.setUsername(userdto.getUsername());
        String s = DigestUtils.md5DigestAsHex((userdto.getPassword()).getBytes());
        user.setPassword(s);
        service.save(user);
    }




}
